Delete Contract
Deletes the Contract with the specified UUID. Used to remove an existing Contract from an Account.
Note: This call will fail if there are any other billing entities associated with the Account and that have been added to the Contract, such as AccountPlans, Balance, or Commitments.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.
The unique identifier (UUID) of the Contract to delete.
Response
Returns the deleted Contract
The UUID of the entity.
The version number:
- Create: On initial Create to insert a new entity, the version is set at 1 in the response.
- Update: On successful Update, the version is incremented by 1 in the response.
User defined fields enabling you to attach custom data. The value for a custom field can be either a string or a number.
If customFields can also be defined for this entity at the Organizational level,customField values defined at individual level override values of customFields with the same name defined at Organization level.
See Working with Custom Fields in the m3ter documentation for more information.
The unique identifier (UUID) of the Account associated with this Contract.
The name of the Contract.
The short code of the Contract.
The description of the Contract, which provides context and information.
The Purchase Order Number associated with the Contract.
For Contract billing, a boolean setting for restricting the charges billed to the period defined for the Contract:
- TRUE - Contract billing for the Account will be restricted to charge amounts that fall within the defined Contract period.
- FALSE - The period for amounts billed under the Contract will be determined by the Account Plan attached to the Account and linked to the Contract.(Default)
Used to control Contract billing and charge at billing only for usage where Product Meter dimensions equal specific defined values:
- Usage filters are defined to either include or exclude charges for usage associated with specific Meter dimensions.
- The Meter dimensions must be present in the data field schema of the Meter used to submit usage data measurements.
The ID of the Bill Grouping Key assigned to the Contract.
The start date for the Contract (in ISO-8601 format). This date is inclusive, meaning the Contract is active from this date onward.
The exclusive end date of the Contract (in ISO-8601 format). This means the Contract is active until midnight on the day before this date.
The date and time (in ISO-8601 format) when the Contract was created.
The date and time (in ISO-8601 format) when the Contract was last modified.
The unique identifier (UUID) of the user who created this Contract.
The unique identifier (UUID) of the user who last modified this Contract.